io.agora.rtc

## Class LastmileProbeConfig

- java.lang.Object
- - io.agora.rtc.LastmileProbeConfig

-     public class LastmileProbeConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `expectedDownlinkBitrate`
    `private int` | `expectedUplinkBitrate`
    `private int` | `probeDownlink`
    `private int` | `probeUplink`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastmileProbeConfig()`
    `LastmileProbeConfig(int probeUplink, int probeDownlink, int expectedUplinkBitrate, int expectedDownlinkBitrate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExpectedDownlinkBitrate()`
    `int` | `getExpectedUplinkBitrate()`
    `int` | `getProbeDownlink()`
    `int` | `getProbeUplink()`
    `void` | `setExpectedDownlinkBitrate(int expectedDownlinkBitrate)`
    `void` | `setExpectedUplinkBitrate(int expectedUplinkBitrate)`
    `void` | `setProbeDownlink(int probeDownlink)`
    `void` | `setProbeUplink(int probeUplink)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### probeUplink

          private int probeUplink

    - #### probeDownlink

          private int probeDownlink

    - #### expectedUplinkBitrate

          private int expectedUplinkBitrate

    - #### expectedDownlinkBitrate

          private int expectedDownlinkBitrate

  - ### Constructor Detail

    - #### LastmileProbeConfig

          public LastmileProbeConfig()

    - #### LastmileProbeConfig

          public LastmileProbeConfig(int probeUplink,
                                     int probeDownlink,
                                     int expectedUplinkBitrate,
                                     int expectedDownlinkBitrate)

  - ### Method Detail

    - #### getProbeUplink

          public int getProbeUplink()

    - #### setProbeUplink

          public void setProbeUplink(int probeUplink)

    - #### getProbeDownlink

          public int getProbeDownlink()

    - #### setProbeDownlink

          public void setProbeDownlink(int probeDownlink)

    - #### getExpectedUplinkBitrate

          public int getExpectedUplinkBitrate()

    - #### setExpectedUplinkBitrate

          public void setExpectedUplinkBitrate(int expectedUplinkBitrate)

    - #### getExpectedDownlinkBitrate

          public int getExpectedDownlinkBitrate()

    - #### setExpectedDownlinkBitrate

          public void setExpectedDownlinkBitrate(int expectedDownlinkBitrate)